Skip to content

Create a productUpdate

ProductUpdates

A moderator can create a productUpdate, providing the title and content. An productUpdate is always created as a draft (which later can be published) and open (authors can reply to it). Moderators can optionally add public labels to provide more context about the type of productUpdate. It can also optionally have a featured image with a valid url. The allowed image extensions for featured image are png, jpeg, jpg, gif. Moderators can optionally create a productUpdate with a poll. A poll consists of a title and options. Existing authors can vote on the poll attached to a productUpdate. Authors can like (& unlike!) a productUpdate and individual replies to the productUpdate. Moderators can optionally create a productUpdate as closed, which means that only moderators can reply to it.

POST
/productUpdates/create

Parameters

Query Parameters

authorId*

The ID of the author of the productUpdate

Type
string
Required
moderatorId

The ID of the moderator who will create the product update on behalf of the author (who in this case can be a registered user as well)

Type
string

Request Body

application/json
JSON
{
  
"title": "This is an interesting productUpdate",
  
"featuredImage": "https://example.com/some-optional-image.png",
  
"featuredImageAltText": "Alt text for the featured image",
  
"publicLabel": "New",
  
"content": "This will explain all you need to know about everything",
  
"poll": {
  
  
"title": "Which option sounds better?",
  
  
"options": [
  
  
  
[
  
  
  
  
"Option A",
  
  
  
  
"Option B",
  
  
  
  
"Other"
  
  
  
]
  
  
]
  
},
  
"tags": [
  
  
[
  
  
  
"question",
  
  
  
"urgent"
  
  
]
  
],
  
"sticky": false,
  
"closed": false,
  
"moderatorTags": [
  
  
[
  
  
  
"highlighted"
  
  
]
  
],
  
"createdAt": "1706792282",
  
"productAreas": [
  
  
[
  
  
  
"1",
  
  
  
"2"
  
  
]
  
],
  
"categoryId": 16
}

Responses

ProductUpdate created

application/json
JSON
{
  
"id": "string",
  
"publicId": "string"
}

Samples

Gainsight CC Developer Portal